Loading...
Searching...
No Matches
oscap_error.h File Reference
`#include <stdint.h>`
`#include <stdbool.h>`
`#include "oscap_export.h"`
Include dependency graph for oscap_error.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | OSCAP_ERROR_H
OpenSCAP error families
#define | OSCAP_EFAMILY_NONE 0
| None.
#define | OSCAP_EFAMILY_GLIBC 1
| Errno errors.
#define | OSCAP_EFAMILY_XML 2
| Libxml errors.
#define | OSCAP_EFAMILY_OSCAP 3
| OSCAP general errors.
#define | OSCAP_EFAMILY_OVAL 4
| OVAL errors (OVAL & probes).
#define | OSCAP_EFAMILY_XCCDF 5
| XCCDF errors.
#define | OSCAP_EFAMILY_SCE 6
| SCE errors.
#define | OSCAP_EFAMILY_NET 7
| Errors from network communication.
#define | OSCAP_EFAMILY_WINDOWS 8
| Windows API Errors.

## Typedefs

typedef uint16_t | oscap_errfamily_t
| Error family type.

## Functions

OSCAP_API void | oscap_clearerr (void)
| Clear an error.
OSCAP_API bool | oscap_err (void)
| Check for an error.
OSCAP_API oscap_errfamily_t | oscap_err_family (void)
| Get last error family.
OSCAP_API const char * | oscap_err_desc (void)
| Get last error description.
OSCAP_API char * | oscap_err_get_full_error (void)
| Get the full description for all the errors which has occurred in this thread since the last call of this function or oscap_clearerr.